#!/bin/sh
# postinst script for iPreso Plugin
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <postinst> `abort-remove'
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


SQLFILE="/usr/share/icomposer/www/application/models/Media/Plugin/Images.sql"

case "$1" in
    configure)

        VERSION=$( zless /usr/share/doc/$DPKG_MAINTSCRIPT_PACKAGE/changelog* \
                    | dpkg-parsechangelog -l- -SVersion )

        ENABLED=`mysql -s -N -u composer --password='%-composer-%' -D iComposer -e "SELECT enable FROM Media_plugins WHERE name='Images'"`
        mysql -u composer --password='%-composer-%' -D 'iComposer' -e "DELETE FROM Media_plugins WHERE name='Images'"
        mysql -u composer --password='%-composer-%' -D 'iComposer' -e "INSERT INTO Media_plugins (name,description,version,preview) VALUES ('Images','','${VERSION}',NULL)"
        if [ "$ENABLED" = "0" ];
        then
            echo "Disabling plugin Images"
            mysql -u composer --password='%-composer-%' -D 'iComposer' -e "UPDATE Media_plugins SET enable=0 WHERE name='Images'"
        else
            # Plugin was not installed or already installed+enabled
            echo "Enabling plugin Images"
            mysql -u composer --password='%-composer-%' -D 'iComposer' -e "UPDATE Media_plugins SET enable=1 WHERE name='Images'"
        fi

        if [ -f "$SQLFILE" ];
        then
            mysql -u composer --password='%-composer-%' -D 'iComposer' < $SQLFILE
            rm -f "$SQLFILE"
        fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac


# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0
